Engagement
List Story Viewers
Returns the paginated list of users who viewed a specific story. Pass only_with_tips=true to materialize a tipper-only list. Requires permission api_stories_list_viewers.
https://public-api.buffmetrics.comGET/v1/{account_id}/stories/{story_id}/viewers
Bearer
Authorization
defaultAuthorizationBearer <token>Send your FansMetric API key as a Bearer token in the Authorization header.
In: header
Path Parameters
account_id*integerOnlyFans numeric account ID.
story_id*integerStory ID (from
engagement/stories/{by}orhighlights/story).
Query Parameters
limitintegerPage size. Default 10. Min 1, max 100.
offsetintegerRows to skip.
only_with_tipsstringtrueor1to narrow to viewers who tipped on the story. Forwarded upstream asonlyWithTips=true. Other values (includingfalse) are treated as omitted.
curl --request GET "https://public-api.buffmetrics.com/v1/acct_XXXXX/stories/sample_story_id/viewers?limit=20&offset=0&only_with_tips=sample_only_with_tips" \
--header "Authorization: Bearer YOUR_API_KEY"Response
200{
"data":{
"hasMore":true
"list":[
0:{
"id":569143576
"username":"u569143576"
"name":"Morty"
"view":"s"
"isStoryLiked":false
"isStoryBlockedUser":false
"hasStoryTips":false
"hasTopStoryTips":false
"subscribedBy":true
"subscribedByExpire":false
"subscribedOn":true
"lastSeen":"2026-05-27T20:07:40+00:00"
"listsStates":[]
}
]
}
"_pagination":{
"next_page":"/v1/523213896/stories/94660491/viewers?limit=10&offset=10"
}
"_meta":{
"_credits":{
"used":1
}
"_rate_limits":{
"limit_minute":1000
"remaining_minute":999
"limit_day":50000
"remaining_day":49999
}
}
}